Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358248 - Review Request: python-http-client - HTTP REST client, simplified for Python
Summary: Review Request: python-http-client - HTTP REST client, simplified for Python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1309244
TreeView+ depends on / blocked
 
Reported: 2016-07-20 10:46 UTC by Dominika Krejčí
Modified: 2016-08-08 23:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-08 20:29:33 UTC
ignatenko: fedora-review+


Attachments (Terms of Use)

Description Dominika Krejčí 2016-07-20 10:46:31 UTC
Spec URL: https://dkrejci.fedorapeople.org/python-http-client/python-http-client.spec
SRPM URL: https://dkrejci.fedorapeople.org/python-http-client/python-http-client-2.1.1-1.fc24.src.rpm
Description: Quickly and easily access any RESTful or RESTful-like API.

Fedora Account System Username: dkrejci

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14957096

Comment 1 Igor Gnatenko 2016-07-20 13:20:47 UTC
> %global sum HTTP REST client, simplified for Python
put to Summary tag and reuse further as %{summary}

> %autosetup -n %{name}-%{version}
jsut %autosetup

> %{python3_sitelib}/python_http_client*
too relax (actually you have 2 same lines, with glob and without). it's always better to be more precised

* No pythonX-setuptools BR, guess it's missing
* Reuse %{url} in Source tag
* add "-v" to py.test invocation (useful when some test fails)
* do %global _description and reuse from descriptions. Also add "Python X version." for each subpackage to easily identify without name where it belongs to.
* Move BuildRequires under subpackages for better look&feel

Comment 3 Igor Gnatenko 2016-07-20 15:36:42 UTC
Nothing else what I could complain about.

Comment 4 Gwyn Ciesla 2016-07-22 13:13:24 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-http-client

Comment 5 Fedora Update System 2016-07-25 08:21:21 UTC
python-http-client-2.1.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-10f3138a48

Comment 6 Fedora Update System 2016-07-25 08:21:28 UTC
python-http-client-2.1.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3706299c18

Comment 7 Fedora Update System 2016-07-28 04:18:59 UTC
python-http-client-2.1.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-10f3138a48

Comment 8 Fedora Update System 2016-07-28 06:01:23 UTC
python-http-client-2.1.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3706299c18

Comment 9 Fedora Update System 2016-08-08 20:29:30 UTC
python-http-client-2.1.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-08-08 23:55:58 UTC
python-http-client-2.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.